For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • POSTTransfer
      • POSTLookup
LogoLogo
StatusDashboard
API ReferenceP2P

Lookup

POST
https://api.brzip.com.br/api/v1/pix/p2p/lookup
POST
/api/v1/pix/p2p/lookup
$curl -X POST https://api.brzip.com.br/api/v1/pix/p2p/lookup \
> -H "Content-Type: application/json" \
> -d '{
> "search_type": "email",
> "search_value": "maria@example.com"
>}'
1{
2 "success": true,
3 "data": [
4 {
5 "account_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
6 "client_id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
7 "name": "Maria Silva",
8 "masked_document": "123.***.***-01",
9 "person_type": "individual",
10 "branch_number": "0001",
11 "account_number": "987654",
12 "account_type": "payment",
13 "pix_key_type": "email",
14 "pix_key_value": "maria@exemplo.com"
15 }
16 ]
17}

Looks up a user’s account by their PIX key or account number Scope: pix:p2p:read

Was this page helpful?
Previous
Built with

Request

This endpoint expects an object.
search_typeenumRequired
Type of lookup value
Allowed values:
search_valuestringRequired

Response

Lookup successful
successboolean
datalist of objects

Errors

400
Bad Request Error